%global srcname pysignals

Name: python-%{srcname}
Version: 0.1.3
Release:    1%{?dist}
Summary: PySignals is a signal dispatcher for Python

License: BSD
Url: https://github.com/theojulienne/%{srcname}
Source0: https://github.com/theojulienne/%{srcname}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}

BuildRequires: %{py3_dist six}
BuildRequires: %{py3_dist future}

%global _description %{expand:
PySignals is a signal dispatcher for Python, extracted from “django.dispatch”
in the Django framework so it can be used in applications without requiring
the entire Django framework to be installed.
}

%description %_description

%package -n python3-%{srcname}

Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p 1 -n PySignals-%{version}

%build
%py3_build

%install
%py3_install

%check
%{python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE.txt license.python.txt
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-1
- initial build
